\begin{figure}[lht]
\begin{center}
\begin{pspicture}(0,1)(14,3)

\rput(-1,1){\rnode{P}{P:}}

\cnodeput[linestyle=dashed](0.25,1){pq1}{$\state[1]$}
\cnodeput(3.25,1){pq2}{$\state[2]$}
\cnodeput[doubleline=true](6.25,1){pq3}{$\state[3]$}

\ncline{->}{pq1}{pq2}
\goto[\fork{$\atfa$}]{\clock{a}{}{T=0}}
\ncline{->}{pq2}{pq3}
\goto[\join{$\atfa$};\fork{$\btfa$}]{\clock{b}{}{}}


%\ncarc[arcangleA=135, arcangleB=135, ncurv=3]{->}{pq2}{pq2}
%\aput{:U}{\clock{b}{}{}}

%\ncline{->}{pq2}{pq3}
\ncloop[angleB=180,loopsize=1.6]{->}{pq3}{pq1}
\dgoto[\join{$\btfa$}]{\clock{c}{T<25}{}}

\rput(7.5,2){\rnode{A}{$\atfa$:}}
\cnodeput[linestyle=dashed](8.5,2){aq1}{$\bstate[1]$}
\cnodeput(11.5,2){aq2}{$\bstate[2]$}
\cnodeput[doubleline=true](14.5,2){aq3}{$\bstate[3]$}

\ncline{->}{aq1}{aq2}
\goto{\clock{0}{}{\btimer=0}}
\ncline{->}{aq2}{aq3}
\goto{\clock{1}{\btimer<10}{}}
%
\rput(7.5,1){\rnode{B}{$\btfa$:}}
\cnodeput[linestyle=dashed](8.5,1){bq1}{$\bstate[1]$}
\cnodeput(11.5,1){bq2}{$\bstate[2]$}
\cnodeput[doubleline=true](14.5,1){bq3}{$\bstate[3]$}

\ncline{->}{bq1}{bq2}
\goto{\clock{0}{}{\ctimer=0}}
\ncline{->}{bq2}{bq3}
\goto{\clock{1}{\ctimer<20}{}}
\end{pspicture}
\end{center}
\caption{An inconsistent parallel timing system $\apts[2]$. }
\label{fig:notcons}
\end{figure}
\endinput
